# Dockerfile untuk SPA Nuxt 3
FROM node:24-alpine AS builder

WORKDIR /app

COPY package*.json ./
RUN npm install --legacy-peer-deps

COPY . .

#RUN npm run build
RUN npm run generate
# RUN ls -lah .output/public
# RUN test -f .output/public/index.html

# Gunakan NGINX untuk menyajikan SPA
FROM nginx:1.29.0-alpine-slim

RUN rm -rf /usr/share/nginx/html/*

RUN rm /etc/nginx/conf.d/default.conf

COPY --from=builder /app/dist /usr/share/nginx/html
COPY nginx.conf /etc/nginx/conf.d/default.conf

EXPOSE 80
CMD ["nginx", "-g", "daemon off;"]
